> ## Documentation Index
> Fetch the complete documentation index at: https://bunny.net/docs/llms.txt
> Use this file to discover all available pages before exploring further.
# Update Storage Zone
## OpenAPI
````yaml https://core-api-public-docs.b-cdn.net/docs/v3/public.json post /storagezone/{id}
openapi: 3.0.0
info:
title: bunny.net API
description: >-
Learn how to use the [bunny.net](https://bunny.net "bunny.net - The content delivery platform that truly hops.") API. Everything that can be done with the control panel can also be achieved with our API documented on this page. To learn how to use the storage API, have a look at our storage API documentation
Third party API clients:
We currently do not maintain an official API library, but you can use one of the third party ones provided here:
https://github.com/codewithmark/bunnycdn (bunny.net PHP library, thanks to Code With Mark)
Note that third party clients are not maintained or developed by bunny.net so we unfortunately cannot offer support for them.
termsOfService: https://bunny.net/tos
contact:
name: bunny.net
url: https://docs.bunny.net
email: support@bunny.net
version: 1.0.0
servers:
- url: https://api.bunny.net
description: bunny.net API Server
security:
- AccessKey: []
tags:
- name: Stream Video Library
- name: User
- name: AuditLog
- name: Storage Zone
- name: Statistics
- name: Search
- name: Pull Zone
- name: Pricing
- name: Load Balancer
- name: DNS Zone
- name: DNSSEC
- name: Billing
- name: API Keys
- name: Affiliate
- name: Countries
- name: Purge
- name: Region
paths:
/storagezone/{id}:
post:
tags:
- Storage Zone
summary: Update Storage Zone
operationId: StorageZonePublic_Update
parameters:
- name: id
in: path
required: true
description: The ID of the storage zone that should be updated
schema:
type: integer
format: int64
x-position: 1
requestBody:
x-name: model
description: The configuration that should be applied to the storage zone
content:
application/json:
schema:
$ref: '#/components/schemas/StorageZoneSettingsModel'
required: true
x-position: 2
responses:
'204':
description: The storage zone was successfully updated
'400':
description: Failed configuring the Storage Zone. Model validation failed
content:
application/json:
schema:
$ref: '#/components/schemas/ApiErrorData'
'401':
description: The request authorization failed
'404':
description: The Storage Zone with the requested ID does not exist
'500':
description: Internal Server Error
components:
schemas:
StorageZoneSettingsModel:
type: object
additionalProperties: false
properties:
ReplicationZones:
type: array
description: The list of replication zones enabld for the storage zone
nullable: true
items:
type: string
OriginUrl:
type: string
description: The origin URL of the storage zone
nullable: true
Custom404FilePath:
type: string
description: The path to the custom file that will be returned in a case of 404
nullable: true
Rewrite404To200:
type: boolean
description: Rewrite 404 status code to 200 for URLs without extension
nullable: true
ApiErrorData:
type: object
additionalProperties: false
properties:
ErrorKey:
type: string
nullable: true
Field:
type: string
nullable: true
Message:
type: string
nullable: true
securitySchemes:
AccessKey:
type: apiKey
description: API Access Key authorization header
name: AccessKey
in: header
````
This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.